package cn.palmte.work.controller.backend;

import cn.palmte.work.bean.*;
import cn.palmte.work.model.Project;
import cn.palmte.work.model.ProjectBudgetPlanDetail;
import cn.palmte.work.model.ProjectRepository;
import cn.palmte.work.service.*;
import cn.palmte.work.utils.FreeMarkerUtil;
import cn.palmte.work.utils.InterfaceUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Date;
import java.util.List;
import java.util.Map;

@Controller
@RequestMapping("/project/final")
public class ProjectFinalController extends BaseController{

    @Autowired
    private ProjectFinalSevice projectFinalSevice;

    @Autowired
    private ProjectService projectService;

    @Autowired
    private ProjectEstimateService projectEstimateService;

    @Autowired
    private ProjectBudgetService projectBudgetService;

    @Autowired
    private ProjectInstanceService projectInstanceService;

    @RequestMapping("/edit")
    public String budget(@RequestParam("id") int id, Map<String, Object> model) {
        Project project = projectService.getProject(id);
        List<ProjectBudgetPlanDetail> projectBudgetPlanDetails = projectBudgetService.getProjectBudgetPlanDetails(project);
        model.put("project", project);
        model.put("estimateBean", projectEstimateService.getEstimate(project));
        model.put("budgetBean", projectBudgetService.getBudget(project));
        model.put("settleBean",projectFinalSevice.getSettle(project));
        model.put("finalBean",new FinalBean());
        //现金表
        model.put("cashFlowBean", projectBudgetService.getCashFlowBean(project, projectBudgetPlanDetails));
        //freemarker可以利用的静态方法
        model.put("Utils", FreeMarkerUtil.fromStaticPackage("cn.palmte.work.utils.Utils"));
        return "admin/project_final_edit";
    }

    @RequestMapping("/save")
    public String estimateAddSave(Project project, FinalBean finalBean, Map<String, Object> model) {
        projectFinalSevice.save(project,finalBean);
        projectService.updateStatusAndApproveStatus(project.getId(), StatusEnum.FINAL_ACCOUNTS, ApproveStatusEnum.APPROVAL_UNCOMMIT);
        return "redirect:/project/list";
    }

    /**
     * 保存并提交审批
     *
     * @param project
     * @param finalBean
     * @param model
     * @return
     * @throws Exception
     */
    @RequestMapping("/saveAndApprove")
    public String saveAndApprove(Project project, FinalBean finalBean, Map<String, Object> model) throws Exception{
        //保存
        projectFinalSevice.save(project,finalBean);
        //更新项目和审批状态
        projectService.updateStatusAndApproveStatus(project.getId(), StatusEnum.FINAL_ACCOUNTS, ApproveStatusEnum.APPROVAL_PENDING);
        //发起流程
        projectInstanceService.startFinalProcessInstance(project.getId(), InterfaceUtil.getAdmin());
        return "redirect:/project/list";
    }

}
